names.onion {onion} | R Documentation

## Names of an onionic vector

### Description

Functions to get or set the names of an onionic vector.

### Usage

    ## S3 method for class 'onion'
    names(x)
    ## S3 replacement method for class 'onion'
    names(x) <- value

### Arguments

`x` | Onionic vector
`value` | a character vector of the same length as ‘`x`’, or `NULL`

### Details

Names attributes refers to colnames of the internal matrix, which are retrieved or set using `colnames()` or `colnames<-()`.

### Author(s)

Robin K. S. Hankin

### Examples

    a <- roct(5)
    names(a) <- letters[1:5]

[Package onion version 1.2-7 Index]